<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bid Update App</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type">
    <meta content="utf-8" http-equiv="encoding">
    <link rel="stylesheet" href="static/css/bootstrap.css"/>
    <link rel="stylesheet" href="static/css/bootstrapValidator.css"/>
    <script type="text/javascript" src="static/js/jquery.min.js"></script>
    <script type="text/javascript" src="static/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="static/js/bootstrapValidator.js"></script>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <!-- <script async src='https://www.google-analytics.com/analytics.js'></script> -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-G87G0ZBJ4V"></script>
    <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
    m=s.getElementsByTagName(o)
    [0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');


    ga('create', 'UA-201051712-1', 'auto');
    ga('send', 'pageview');
    

    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
    gtag('config', 'G-G87G0ZBJ4V');
    </script>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
    new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
    j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
    'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-MTRX7T6');</script>
    <!-- End Google Tag Manager -->
</head>
<style type="text/css">
.container {
    width: 100%;
}
.login-form-1{
    padding: 5%;
    box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.2), 0 9px 26px 0 rgba(0, 0, 0, 0.19);
    border-radius: 10px;
}
.login-form-1 h3{
    text-align: center;
    color: #333;
}
.login-form-2{
    padding: 5%;
    background: #f9f9f9;
    box-shadow: 0 1px 0px 0 rgba(0, 0, 0, 0.2), 0 0px 9px 0 rgba(0, 0, 0, 0.19);
    border-radius: 10px;
}
.login-form-2 h3{
    text-align: center;
    color: #fff;
}
.login-container form{
    padding: 2%;
}
.btnSubmit {
    width: 55% !important;
    border-radius: 1rem;
    padding: 1.5%;
    border: none;
    cursor: pointer;
    height: 40px;
}
.login-form-1 .btnSubmit{
    font-weight: 600;
    color: #fff;
    background-color: #0062cc;
}
.login-form-2 .btnSubmit{
    font-weight: 600;
    color: #0062cc;
    background-color: #fff;
}
.login-form-2 .ForgetPwd{
    color: #fff;
    font-weight: 600;
    text-decoration: none;
}
.login-form-1 .ForgetPwd{
    color: #0062cc;
    font-weight: 600;
    text-decoration: none;
}
.note {
    text-align: center;
    height: 60px;
    background: -webkit-linear-gradient(left, #0072ff, #8811c5);
    color: #fff;
    font-weight: bold;
    line-height: 65px;
    font-size: 33px;
}
.required {
    color: #a94442;
    font-size: 14px;
}
.requiredMessage {
    color: #a94442;
    font-size: 12px;
    float: left;
    margin-left: -18px;
}
.headdingFile {
    color: red;
    font-weight: bolder;
    font-size: 13px;
    float: left;
    margin-left: -12px;
}
</style>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MTRX7T6"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->
<!------ Include the above in your HEAD tag ---------->
<div class="note"><p>Bid Update App</p></div>
<div class="container login-container">
            <div class="row">
                <form action="/process/" id="defaultForm" method="post" class="form-horizontal File Upload" enctype="multipart/form-data">                
                <div class="col-md-4 login-form-1">
                    <p class="headdingFile">PLEASE UPLOAD RAW,UN-PRE-PROCESSED FILES</p>
                    <div class="form-group px-2">
                      <label for="email">45 Day Bulk File <span class="required">*</span></label>
                      <input type="file" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel"  class="form-control" name="firstFile" onchange="showFirstClass()">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">7 Day Bulk File <span class="required">*</span></label>
                      <input type="file" class="form-control" name="secondFile" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" onchange="showSecondClass()">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Custom Thresholds File</label>
                      <input type="file" class="form-control" id="thirdFile" name="thirdFile" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" onchange="Upload()">
                      <small id="optionalFile" style="display:none;margin-top: 5px;margin-bottom: 10px;color: #a94442;">Invalid columns in Custom threshold file. Please enter the correct sequence of columns: Custom, Record Type, Campaign, Ad Group, Keyword, Match Type, Target_ACoS</small>
                    </div>
                    <span class="requiredMessage">* Required Fields</span>
                </div>
                <div class="col-md-4 login-form-2 secondClass" style="display: none;">
                    <div class="form-group px-2">
                      <label for="email">Target ACoS % <span class="required">*</span></label>
                      <input type="text" class="form-control" placeholder="12%" name="acos" onkeyup="showThirdClass()">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Max Bid($)</label>
                      <input type="text" class="form-control" placeholder="Enter the upper bound value for Max Bid" name="upper_bound">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Poor Performer($)</label>
                      <input type="text" class="form-control" placeholder="Poor Performer 1" name="poor_performer" value="5">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Under Invested</label>
                      <input type="text" class="form-control" placeholder="Under Invested" name="under_invested" value="2">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Low Traffic</label>
                      <input type="text" class="form-control" placeholder="Low Traffic" name="low_traffic" value="70">
                    </div>
                    <span class="requiredMessage">* Required Fields</span>
                </div>
                <div class="col-md-4 login-form-1 thirdClass" style="display: none">
                    <div class="form-group px-2">
                        <label for="email">Under ACoS(%)</label>
                        <input type="text" class="form-control" placeholder="Under ACoS" name="under_invested_bidadjust" value="10">
                      </div>
                    <div class="form-group px-2">
                      <label for="email">On Target (On Target-3% over)</label>
                      <input type="text" class="form-control" placeholder="On Target (On Target-3% over)" name="on_target_bidadjust" value="0">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Poor Performer 1 (3%-5% Over)</label>
                      <input type="text" class="form-control" placeholder="Poor Performer 1 (3%-5% Over)" name="poor_performer_1_bidadjust" value="-8">
                    </div>
                     <div class="form-group px-2">
                      <label for="email">Poor Performer 2 (5%-10% Over)</label>
                      <input type="text" class="form-control" placeholder="Poor Performer 2 (5%-10% Over)" name="poor_performer_2_bidadjust" value="-15">
                    </div>
                     <div class="form-group px-2">
                      <label for="email">Poor Performer 3 (10%-20% Over)</label>
                      <input type="text" class="form-control" placeholder="Poor Performer 3 (10%-20% Over)" name="poor_performer_3_bidadjust" value="-25">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">(20%+ Over) or Spend with NoSales</label>
                      <input type="text" class="form-control" placeholder="20%+ Over or Spend with NoSales" name="poor_performer_4_bidadjust" value="-50">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Sales but Need More Data (%)</label>
                      <input type="text" class="form-control" placeholder="Sales but Need More Data" name="not_validate_bidadjust" value="5">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Between 1 and Low Traffic Number (%)</label>
                      <input type="text" class="form-control" placeholder="Between 1 and Low TrafficNumber" name="low_traffic_1_bidadjust" value="3">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">No Impressions (%)</label>
                      <input type="text" class="form-control" placeholder="No Impressions" name="low_traffic_2_bidadjust" value="0">
                    </div>
                    <div class="form-group px-2">
                      <label for="email">Over the last 45 days, ACoS on Target (-3% Over) but was a poor performer this week (Cut less) (%)</label>
                      <input type="text" class="form-control" placeholder="Over the last 45 days, ACoS onTarget-3% Over but was a poorperformer this week (Cut less)" name="over_optimized_bidadjust" value="-5">
                    </div>
                    <div class="form-group px-2">
                      <button type="submit" class="btnSubmit">Submit</button> 
                    </div>
                </div>
            </form>
            </div>
        </div>

</body>
<script type="text/javascript">
function showFirstClass(){
    ga('send', 'event', {
        eventCategory: 'Bid Update 45 Day File Uploaded',
        eventAction: 'upload',
        eventLabel: "Bid Update 45 Day Bulk File Uploaded",
    });
}

function showSecondClass(){
  $(".secondClass").fadeIn(2000);
    ga('send', 'event', {
        eventCategory: 'Bid Update 7 Day File Uploaded',
        eventAction: 'upload',
        eventLabel: "Bid Update 7 Day Bulk File Uploaded",
    });
}
function showThirdClass(){
  $(".thirdClass").fadeIn(2000);
}
$(document).ready(function() {   
    $('#defaultForm').bootstrapValidator({
        message: 'This value is not valid',
        fields: {
            firstFile: {
                validators: {
                    notEmpty: {
                        message: 'Please upload 45 day bulk file'
                    },
                }
            },
            secondFile: {
                validators: {
                    notEmpty: {
                        message: 'Please upload 7 day bulk file'
                    }
                }
            },            
            acos: {
                validators: {
                    notEmpty: {
                        message: 'Please enter target acos'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            upper_bound: {
                validators: {
                    // notEmpty: {
                    //     message: 'Please enter max bid'
                    // },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            poor_performer: {
                validators: {
                    notEmpty: {
                        message: 'Please enter poor performer'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            under_invested: {
                validators: {
                    notEmpty: {
                        message: 'Please enter under invested'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            low_traffic: {
                validators: {
                    notEmpty: {
                        message: 'Please enter low traffic'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            under_invested_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter under acos'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            on_target_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter on target (on target-3% over)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            poor_performer_1_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter poor performer 1 (3%-5% over) '
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            poor_performer_2_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter poor performer 2 (5%-10% over)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            poor_performer_3_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter poor performer 3 (10%-20% over)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            poor_performer_4_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter (20%+ over) or spend with no sales'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            not_validate_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter sales but need more data (%)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            low_traffic_1_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter between 1 and low traffic number (%)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            low_traffic_2_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter no impressions (%)s'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            over_optimized_bidadjust: {
                validators: {
                    notEmpty: {
                        message: 'Please enter over the last 45 days, acos on target (-3% Over) but was a poor performer this week (cut less) (%)'
                    },
                    numeric:{
                      message:"Please use US format for numeric fields: XX.XXX. No commas or other special characters allowed"
                    }
                }
            },
            
        }
    });
});


 $('#defaultForm').click(function(){
    ga('send', 'event', {
        eventCategory: 'Bid Update File Submission',
        eventAction: 'click',
        eventLabel: "Bid Update Form Submitted",
    });
});
</script>


<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.13.5/xlsx.full.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.13.5/jszip.js"></script>
<script type="text/javascript">
    function Upload() {
        ga('send', 'event', {
            eventCategory: 'Bid Update Custom Thresholds',
            eventAction: 'upload',
            eventLabel: "Bid Update Custom Thresholds File Upload",
        });
        //Reference the FileUpload element.
        var fileUpload = document.getElementById("thirdFile");
 
        //Validate whether File is valid Excel file.
        var regex = /^([a-zA-Z0-9\s_\\.\-:])+(.xls|.xlsx)$/;
        if (regex.test(fileUpload.value.toLowerCase())) {
            if (typeof (FileReader) != "undefined") {
                var reader = new FileReader();
 
                //For Browsers other than IE.
                if (reader.readAsBinaryString) {
                    reader.onload = function (e) {
                        ProcessExcel(e.target.result);
                    };
                    reader.readAsBinaryString(fileUpload.files[0]);
                } else {
                    //For IE Browser.
                    reader.onload = function (e) {
                        var data = "";
                        var bytes = new Uint8Array(e.target.result);
                        for (var i = 0; i < bytes.byteLength; i++) {
                            data += String.fromCharCode(bytes[i]);
                        }
                        ProcessExcel(data);
                    };
                    reader.readAsArrayBuffer(fileUpload.files[0]);
                }
            } else {
                alert("This browser does not support HTML5.");
            }
        } else {
            alert("Please upload a valid Excel file.");
        }
    };


    function ProcessExcel(data) {

        ga('send', 'event', {
            eventCategory: 'Bid Update File Processed',
            eventAction: 'processed',
            eventLabel: "Bid Update Excel File Processed",
        });
        //Read the Excel File data.
        var workbook = XLSX.read(data, {
            type: 'binary'
        });

        var colValues =[];
        var first_sheet_name = workbook.SheetNames[0];
        var worksheet = workbook.Sheets[first_sheet_name];
        var cells = Object.keys(worksheet);
        for (var i = 0; i < 8; i++) {
            if( cells[i].indexOf('1') > -1)
            {
                colValues.push(worksheet[cells[i]].v); //Contails all column names
            }
        }

        if(colValues[0] == "Custom" && colValues[1] == "Record Type" && colValues[2] == "Campaign" && colValues[3] == "Ad Group" && colValues[4] == "Keyword" && colValues[5] == "Match Type" && colValues[6] == "Target_ACoS"){
          $("#optionalFile").hide();
        }else{
          $("#optionalFile").show();
        }
    };
</script>


</html>
